# tox (https://tox.readthedocs.io/) is a tool for running tests
# in multiple virtualenvs. This configuration file will run the
# test suite on all supported python versions. To use it, "pip install tox"
# and then run "tox" from this directory.

[tox]
envlist = py{36,37,38,39}
skipsdist=True

[pytest]
addopts = --doctest-modules
testpaths =
    tests
    handadoc_client.py

[testenv:py{36,37,38,39}]
deps =
    pytest-cov
    coveralls
    click
    jsonschema
    doctestprinter
    myminions
passenv =
  CI
  TRAVIS
  TRAVIS_*

commands =
    coverage run -m py.test --doctest-modules --cov-report=xml 
    - coveralls
